"""empty message

Revision ID: 65567f5dd9a2
Revises: 85f9d45de4c3
Create Date: 2021-03-04 15:51:54.767909

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '65567f5dd9a2'
down_revision = '85f9d45de4c3'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('ticketcreator',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user_code', sa.Integer(), nullable=True),
    sa.Column('user_type', sa.String(length=50), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('user_code')
    )
    op.add_column('ticket', sa.Column('created_by', sa.Integer(), nullable=True))
    op.create_foreign_key(None, 'ticket', 'ticketcreator', ['created_by'], ['user_code'])
    op.add_column('ticketstatus', sa.Column('status_type', sa.String(length=50), nullable=True))
    op.drop_column('ticketstatus', 'status_def')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('ticketstatus', sa.Column('status_def', mysql.VARCHAR(length=50), nullable=True))
    op.drop_column('ticketstatus', 'status_type')
    op.drop_constraint(None, 'ticket', type_='foreignkey')
    op.drop_column('ticket', 'created_by')
    op.drop_table('ticketcreator')
    # ### end Alembic commands ###
